
Redmine - Feature #14790

Ability to save spent time query filters

2013-08-28 10:28 - Thomas Godard

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Now, it is possible to create a custom query in the issue tab.

At the end of each month, I receive from the my developers' company the time they worked each month. I also need to have a

second table for my accounting.

Would it be possible to be able to save Custom queries Details tab.

I asked the question on the forum (Wrong one I know :-) ) without answer.

Ability to save spent time query filters

Related issues:

Related to Redmine - Defect #23781: Previous/Next navigation on a issue is no... Closed

Has duplicate Redmine - Feature #995: Add ability to save reports Closed 2008-04-04

Associated revisions

Revision 15639 - 2016-07-12 19:40 - Jean-Philippe Lang

Makes spent time queries savable (#14790).

Revision 15640 - 2016-07-12 19:42 - Jean-Philippe Lang

Moves sidebar queries rendering to QueriesHelper (#14790).

Revision 15641 - 2016-07-12 19:45 - Jean-Philippe Lang

Adds scopes for retrieving the appropriate queries (#14790).

Revision 15642 - 2016-07-12 19:54 - Jean-Philippe Lang

Display the list of saved queries in the sidebar (#14790).

Revision 15643 - 2016-07-12 20:04 - Jean-Philippe Lang

Helper is needed to render the sidebar (#14790).

Revision 16718 - 2017-06-26 21:30 - Jean-Philippe Lang

Fixed that time entry queries cannot be saved when issue tracking is disabled (#14790).

Revision 16719 - 2017-06-26 21:31 - Jean-Philippe Lang

Merged r16718 (#14790).

History

#1 - 2015-09-10 18:12 - Toshi MARUYAMA

- Has duplicate Feature #995: Add ability to save reports added

#2 - 2016-01-27 09:24 - Sebastian Paluch

+1

#3 - 2016-02-20 15:17 - Toshi MARUYAMA
https://www.redmine.org/boards/2/topics/39052


- Description updated

#4 - 2016-06-13 15:17 - Pavel Potcheptsov

This would be a great enhancement.

#5 - 2016-07-12 21:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

#6 - 2016-10-01 10:14 - Jean-Philippe Lang

- Related to Defect #23781: Previous/Next navigation on a issue is not displayed on r15639 and later added
